import ctypes
import os
import sys
import pyarrow as pa
import ctypes.util

lib_path = os.path.abspath(os.path.dirname(__file__))
sys.path.append(lib_path)

# 使用 ctypes 加载共享库
libfg_path = os.path.join(lib_path, 'libfg.so')
if os.path.exists(libfg_path):
  ctypes.cdll.LoadLibrary(libfg_path)

# load arrow python
lib_arrow_python_path = os.path.abspath(os.path.dirname(pa.__file__))
lib_arrow_python_so_path = os.path.join(lib_arrow_python_path, 'libarrow_python.so')
if os.path.exists(lib_arrow_python_so_path):
  ctypes.cdll.LoadLibrary(lib_arrow_python_so_path)

os.environ['DISABLE_FG_PRECISION']="true"
os.environ["GLOG_logtostderr"] = '1'

# 现在可以导入你的扩展模块了
# from . import pyfg
from .pyfg import *
__version__ = pyfg.__version__

