# coding: utf-8
import os
import ctypes

# 获取资源文件, copy 到本地并重命名
def include_file(resource_name, file_name):
    from odps.distcache import get_cache_file
    so_file = get_cache_file(resource_name, 'b')
    with open(so_file.name, 'rb') as fp:
        content=fp.read()
        so = open(file_name, "wb")
        so.write(content)
        so.flush()
        so.close()
    so_file.close()


lib_path = os.path.abspath(os.path.dirname(__file__))
version = os.getenv('FG_VERSION', '')
if not version:
    print("[WARNING] no fg version specified.")

so_file = 'pyfg.cpython-37m-x86_64-linux-gnu.so'
resource_name = 'pyfg' + version + '.cpython-37m-x86_64-linux-gnu.so'
include_file(resource_name, so_file)
os.chmod(so_file, 0o777)
print("load pyfg so_file:", so_file, flush=True)
so_path = os.path.join(lib_path, so_file)
# 设置LD_LIBRARY_PATH, 使用ctypes.RTLD_GLOBAL指定了全局标志。
# 这将导致动态链接库被加载到进程的全局符号表中，从而可以在代码中使用。
ctypes.CDLL(so_path, ctypes.RTLD_GLOBAL)

import pyfg
print("pyfg version:", pyfg.__version__, flush=True)

__all__ = ['pyfg']
