#!/usr/bin/env python
# -*- coding: utf-8 -*-
try:
    from . import run_on_odps
except:
    import run_on_odps

def run(o, input_table, output_table, fg_json_file, partition_value=None, force_delete_output_table=False,
        force_update_resource=False, debug=False, set_sql='', **kwargs):
    batch_size = kwargs['batch_size'] if 'batch_size' in kwargs else 128
    fg_task = run_on_odps.FgTask(input_table, output_table, fg_json_file, partition_value,
        batch_size=batch_size, force_delete_output_table=force_delete_output_table,
        force_update_resource=force_update_resource, debug=debug)
    if set_sql:
        flags = set_sql.split(';')
        for flag in flags:
            kv = flag.lower().split('=')
            key = kv[0].replace('set', '').strip()
            fg_task.add_sql_setting(key, kv[1])
    fg_task(o)
