# coding: utf-8
from odps.udf import annotate
from load_pyfg import pyfg


@annotate("string->string")
class TextNormalize(object):
    def __init__(self):
        cfg = {
            "feature_type" : "text_normalizer",
            "feature_name" : "txt_norm",
            "expression": "input",
            "max_length" : 512,
            "parameter" : 572
        }
        self.normalizer = pyfg.TextNormalizer(cfg)
        print("TextNormalizer init OK", flush=True)

    def evaluate(self, text):
        if not text:
            return None
        output = self.normalizer([[text]])
        return output[0]
